> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cni Options Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/cni-options
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/cni-options:
    get:
      tags:
        - Cluster
      summary: List Cni Options Endpoint
      operationId: list_cni_options_endpoint_api_v1_clusters_cni_options_get
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-ankra-organisation-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCniOptionsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListCniOptionsResponse:
      properties:
        options:
          items:
            $ref: '#/components/schemas/CniOption'
          type: array
          title: Options
      type: object
      required:
        - options
      title: ListCniOptionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CniOption:
      properties:
        value:
          type: string
          title: Value
        label:
          type: string
          title: Label
        default:
          type: boolean
          title: Default
          default: false
      type: object
      required:
        - value
        - label
      title: CniOption
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````